# Uses of Interface
org.pentaho.reporting.libraries.formula.function.FunctionCategory

Packages that use FunctionCategory
Package
Description
org.pentaho.reporting.libraries.formula.function
org.pentaho.reporting.libraries.formula.function.datetime
org.pentaho.reporting.libraries.formula.function.financial
org.pentaho.reporting.libraries.formula.function.information
org.pentaho.reporting.libraries.formula.function.logical
org.pentaho.reporting.libraries.formula.function.math
org.pentaho.reporting.libraries.formula.function.rounding
org.pentaho.reporting.libraries.formula.function.text
org.pentaho.reporting.libraries.formula.function.userdefined

## Uses of FunctionCategory in org.pentaho.reporting.libraries.formula.function

Classes in org.pentaho.reporting.libraries.formula.function that implement FunctionCategory
Modifier and Type
Class
Description
`class`
`AbstractFunctionCategory`
Creation-Date: 05.11.2006, 14:31:22
`class`
`InvalidFunctionCategory`
This category is used when a problem occured while loading a function metadata category.
Fields in org.pentaho.reporting.libraries.formula.function declared as FunctionCategory
Modifier and Type
Field
Description
`static final FunctionCategory`
InvalidFunctionCategory.`CATEGORY`
Methods in org.pentaho.reporting.libraries.formula.function that return FunctionCategory
Modifier and Type
Method
Description
`FunctionCategory[]`
DefaultFunctionRegistry.`getCategories()`
`FunctionCategory[]`
FunctionRegistry.`getCategories()`
`FunctionCategory`
DefaultFunctionDescription.`getCategory()`
`FunctionCategory`
FunctionDescription.`getCategory()`
Methods in org.pentaho.reporting.libraries.formula.function with parameters of type FunctionCategory
Modifier and Type
Method
Description
`String[]`
DefaultFunctionRegistry.`getFunctionNamesByCategory(FunctionCategory category)`
`String[]`
FunctionRegistry.`getFunctionNamesByCategory(FunctionCategory category)`
`Function[]`
DefaultFunctionRegistry.`getFunctionsByCategory(FunctionCategory category)`
`Function[]`
FunctionRegistry.`getFunctionsByCategory(FunctionCategory category)`

## Uses of FunctionCategory in org.pentaho.reporting.libraries.formula.function.datetime

Classes in org.pentaho.reporting.libraries.formula.function.datetime that implement FunctionCategory
Modifier and Type
Class
Description
`final class`
`DateTimeFunctionCategory`
Creation-Date: 05.11.2006, 14:30:36
Fields in org.pentaho.reporting.libraries.formula.function.datetime declared as FunctionCategory
Modifier and Type
Field
Description
`static final FunctionCategory`
DateTimeFunctionCategory.`CATEGORY`
Methods in org.pentaho.reporting.libraries.formula.function.datetime that return FunctionCategory
Modifier and Type
Method
Description
`FunctionCategory`
DateDifFunctionDescription.`getCategory()`
`FunctionCategory`
DateFunctionDescription.`getCategory()`
`FunctionCategory`
DateValueFunctionDescription.`getCategory()`
`FunctionCategory`
DayFunctionDescription.`getCategory()`
`FunctionCategory`
DaysFunctionDescription.`getCategory()`
`FunctionCategory`
HourFunctionDescription.`getCategory()`
`FunctionCategory`
MinuteFunctionDescription.`getCategory()`
`FunctionCategory`
MonthFunctionDescription.`getCategory()`
`FunctionCategory`
NowFunctionDescription.`getCategory()`
`FunctionCategory`
SecondFunctionDescription.`getCategory()`
`FunctionCategory`
TimeFunctionDescription.`getCategory()`
`FunctionCategory`
TimeValueFunctionDescription.`getCategory()`
`FunctionCategory`
TodayFunctionDescription.`getCategory()`
`FunctionCategory`
WeekDayFunctionDescription.`getCategory()`
`FunctionCategory`
YearFunctionDescription.`getCategory()`

## Uses of FunctionCategory in org.pentaho.reporting.libraries.formula.function.financial

Classes in org.pentaho.reporting.libraries.formula.function.financial that implement FunctionCategory
Modifier and Type
Class
Description
`final class`
`FinancialFunctionCategory`
Creation-Date: 05.11.2006, 14:30:36
Fields in org.pentaho.reporting.libraries.formula.function.financial declared as FunctionCategory
Modifier and Type
Field
Description
`static final FunctionCategory`
FinancialFunctionCategory.`CATEGORY`

## Uses of FunctionCategory in org.pentaho.reporting.libraries.formula.function.information

Classes in org.pentaho.reporting.libraries.formula.function.information that implement FunctionCategory
Modifier and Type
Class
Description
`final class`
`InformationFunctionCategory`
Creation-Date: 05.11.2006, 14:30:36
Fields in org.pentaho.reporting.libraries.formula.function.information declared as FunctionCategory
Modifier and Type
Field
Description
`static final FunctionCategory`
InformationFunctionCategory.`CATEGORY`
Methods in org.pentaho.reporting.libraries.formula.function.information that return FunctionCategory
Modifier and Type
Method
Description
`FunctionCategory`
ChooseFunctionDescription.`getCategory()`
`FunctionCategory`
CountAFunctionDescription.`getCategory()`
`FunctionCategory`
CountBlankFunctionDescription.`getCategory()`
`FunctionCategory`
CountFunctionDescription.`getCategory()`
`FunctionCategory`
HasChangedFunctionDescription.`getCategory()`
`FunctionCategory`
IndexFunctionDescription.`getCategory()`
`FunctionCategory`
IsBlankFunctionDescription.`getCategory()`
`FunctionCategory`
IsErrFunctionDescription.`getCategory()`
`FunctionCategory`
IsErrorFunctionDescription.`getCategory()`
`FunctionCategory`
IsEvenFunctionDescription.`getCategory()`
`FunctionCategory`
IsLogicalFunctionDescription.`getCategory()`
`FunctionCategory`
IsNaFunctionDescription.`getCategory()`
`FunctionCategory`
IsNonTextFunctionDescription.`getCategory()`
`FunctionCategory`
IsNumberFunctionDescription.`getCategory()`
`FunctionCategory`
IsOddFunctionDescription.`getCategory()`
`FunctionCategory`
IsRefFunctionDescription.`getCategory()`
`FunctionCategory`
IsTextFunctionDescription.`getCategory()`
`FunctionCategory`
NaFunctionDescription.`getCategory()`
`FunctionCategory`
ValueFunctionDescription.`getCategory()`

## Uses of FunctionCategory in org.pentaho.reporting.libraries.formula.function.logical

Classes in org.pentaho.reporting.libraries.formula.function.logical that implement FunctionCategory
Modifier and Type
Class
Description
`final class`
`LogicalFunctionCategory`
Creation-Date: 05.11.2006, 14:30:36
Fields in org.pentaho.reporting.libraries.formula.function.logical declared as FunctionCategory
Modifier and Type
Field
Description
`static final FunctionCategory`
LogicalFunctionCategory.`CATEGORY`
Methods in org.pentaho.reporting.libraries.formula.function.logical that return FunctionCategory
Modifier and Type
Method
Description
`FunctionCategory`
AndFunctionDescription.`getCategory()`
`FunctionCategory`
FalseFunctionDescription.`getCategory()`
`FunctionCategory`
IfFunctionDescription.`getCategory()`
`FunctionCategory`
IfNaFunctionDescription.`getCategory()`
`FunctionCategory`
NotFunctionDescription.`getCategory()`
`FunctionCategory`
OrFunctionDescription.`getCategory()`
`FunctionCategory`
TrueFunctionDescription.`getCategory()`
`FunctionCategory`
XorFunctionDescription.`getCategory()`

## Uses of FunctionCategory in org.pentaho.reporting.libraries.formula.function.math

Classes in org.pentaho.reporting.libraries.formula.function.math that implement FunctionCategory
Modifier and Type
Class
Description
`final class`
`MathFunctionCategory`
Creation-Date: 05.11.2006, 14:30:36
Fields in org.pentaho.reporting.libraries.formula.function.math declared as FunctionCategory
Modifier and Type
Field
Description
`static final FunctionCategory`
MathFunctionCategory.`CATEGORY`
Methods in org.pentaho.reporting.libraries.formula.function.math that return FunctionCategory
Modifier and Type
Method
Description
`FunctionCategory`
AbsFunctionDescription.`getCategory()`
`FunctionCategory`
AcosFunctionDescription.`getCategory()`
`FunctionCategory`
AcoshFunctionDescription.`getCategory()`
`FunctionCategory`
AsinFunctionDescription.`getCategory()`
`FunctionCategory`
Atan2FunctionDescription.`getCategory()`
`FunctionCategory`
AtanFunctionDescription.`getCategory()`
`FunctionCategory`
AverageAFunctionDescription.`getCategory()`
`FunctionCategory`
AverageFunctionDescription.`getCategory()`
`FunctionCategory`
CosFunctionDescription.`getCategory()`
`FunctionCategory`
EvenFunctionDescription.`getCategory()`
`FunctionCategory`
ExpFunctionDescription.`getCategory()`
`FunctionCategory`
LnFunctionDescription.`getCategory()`
`FunctionCategory`
Log10FunctionDescription.`getCategory()`
`FunctionCategory`
LogFunctionDescription.`getCategory()`
`FunctionCategory`
MaxAFunctionDescription.`getCategory()`
`FunctionCategory`
MaxFunctionDescription.`getCategory()`
`FunctionCategory`
MinAFunctionDescription.`getCategory()`
`FunctionCategory`
MinFunctionDescription.`getCategory()`
`FunctionCategory`
ModFunctionDescription.`getCategory()`
`FunctionCategory`
OddFunctionDescription.`getCategory()`
`FunctionCategory`
PiFunctionDescription.`getCategory()`
`FunctionCategory`
PowerFunctionDescription.`getCategory()`
`FunctionCategory`
SinFunctionDescription.`getCategory()`
`FunctionCategory`
SqrtFunctionDescription.`getCategory()`
`FunctionCategory`
SumAFunctionDescription.`getCategory()`
`FunctionCategory`
SumFunctionDescription.`getCategory()`
`FunctionCategory`
VarFunctionDescription.`getCategory()`

## Uses of FunctionCategory in org.pentaho.reporting.libraries.formula.function.rounding

Classes in org.pentaho.reporting.libraries.formula.function.rounding that implement FunctionCategory
Modifier and Type
Class
Description
`final class`
`RoundingFunctionCategory`
Fields in org.pentaho.reporting.libraries.formula.function.rounding declared as FunctionCategory
Modifier and Type
Field
Description
`static final FunctionCategory`
RoundingFunctionCategory.`CATEGORY`
Methods in org.pentaho.reporting.libraries.formula.function.rounding that return FunctionCategory
Modifier and Type
Method
Description
`FunctionCategory`
IntFunctionDescription.`getCategory()`

## Uses of FunctionCategory in org.pentaho.reporting.libraries.formula.function.text

Classes in org.pentaho.reporting.libraries.formula.function.text that implement FunctionCategory
Modifier and Type
Class
Description
`final class`
`TextFunctionCategory`
Creation-Date: 05.11.2006, 14:30:36
Fields in org.pentaho.reporting.libraries.formula.function.text declared as FunctionCategory
Modifier and Type
Field
Description
`static final FunctionCategory`
TextFunctionCategory.`CATEGORY`
Methods in org.pentaho.reporting.libraries.formula.function.text that return FunctionCategory
Modifier and Type
Method
Description
`FunctionCategory`
ExactFunctionDescription.`getCategory()`
`FunctionCategory`
FindFunctionDescription.`getCategory()`
`FunctionCategory`
LeftFunctionDescription.`getCategory()`
`FunctionCategory`
LenFunctionDescription.`getCategory()`
`FunctionCategory`
LowerFunctionDescription.`getCategory()`
`FunctionCategory`
MessageFunctionDescription.`getCategory()`
`FunctionCategory`
MidFunctionDescription.`getCategory()`
`FunctionCategory`
ReplaceFunctionDescription.`getCategory()`
`FunctionCategory`
ReptFunctionDescription.`getCategory()`
`FunctionCategory`
RightFunctionDescription.`getCategory()`
`FunctionCategory`
SubstituteFunctionDescription.`getCategory()`
`FunctionCategory`
TextFunctionDescription.`getCategory()`
`FunctionCategory`
TFunctionDescription.`getCategory()`
`FunctionCategory`
TrimFunctionDescription.`getCategory()`
`FunctionCategory`
UnicharFunctionDescription.`getCategory()`
`FunctionCategory`
UnicodeFunctionDescription.`getCategory()`
`FunctionCategory`
UpperFunctionDescription.`getCategory()`
`FunctionCategory`
URLEncodeFunctionDescription.`getCategory()`

## Uses of FunctionCategory in org.pentaho.reporting.libraries.formula.function.userdefined

Classes in org.pentaho.reporting.libraries.formula.function.userdefined that implement FunctionCategory
Modifier and Type
Class
Description
`class`
`UserDefinedFunctionCategory`
Creation-Date: 05.11.2006, 15:05:38
Fields in org.pentaho.reporting.libraries.formula.function.userdefined declared as FunctionCategory
Modifier and Type
Field
Description
`static final FunctionCategory`
UserDefinedFunctionCategory.`CATEGORY`
Methods in org.pentaho.reporting.libraries.formula.function.userdefined that return FunctionCategory
Modifier and Type
Method
Description
`FunctionCategory`
CsvArrayFunctionDescription.`getCategory()`
`FunctionCategory`
CsvTextFunctionDescription.`getCategory()`
`FunctionCategory`
NormalizeArrayFunctionDescription.`getCategory()`
`FunctionCategory`
NullFunctionDescription.`getCategory()`
`FunctionCategory`
ParseDateFunctionDescription.`getCategory()`